# MXcloud E-Test Plan

* [Environment](environment.md)
* [Prerequisite](prerequisite.md)
* [Test Cases](testcases/index.md)
    * [Modbus Framework](testcases/modbus/index.md)
        * [Integration Test](testcases/modbus/integration-test.md)
    * [Data logger](testcases/datalogger/index.md)
        * [Integration Test](testcases/datalogger/integration-test.md)
    * [Relay](testcases/relay/index.md)
    * [System Settings](testcases/system/index.md)
        * [Integration Test](testcases/system/integration-test.md)
        * [Upgrade](testcases/system/integration/uc8100-cg-upgrade-utility.md)
        * [System Status](testcases/system/integration/sanji-bundle-status.md)
        * [Date/Time](testcases/system/integration/sanji-bundle-time.md)
        * [Reboot](testcases/system/integration/sanji-bundle-reboot.md)
        * [Import/Export](testcases/system/integration/sanji-bundle-import-export.md)
        * [Serial](testcases/system/integration/sanji-bundle-serial.md)
        * [Service](testcases/system/integration/sanji-bundle-service.md)
    * [Network Settings](testcases/network/index.md)
        * [Integration Test](testcases/network/integration-test.md)
        * [Ethernet](testcases/network/integration/sanji-bundle-ethernet.md)
        * [Cellular](testcases/network/integration/sanji-bundle-cellular.md)
        * [DHCP Server](testcases/network/integration/sanji-bundle-dhcpd.md)
        * [DNS](testcases/network/integration/sanji-bundle-dns.md)
        * [IPTables](testcases/network/integration/sanji-bundle-iptables.md)
    * [Web UI](testcases/webapp/index.md)
* [Tools](tools.md)
* [Reference](reference.md)
