# System Service

## Case 1. Get system services

### Steps
1. Navigate to `Settings`.`System`

### Expect
1. `Enable SSH` should be enabled by default.
   ```
   $ sudo find /etc/rc* -name *ssh*
   $ /etc/rc2.d/S18ssh
   $ /etc/rc3.d/S18ssh
   $ /etc/rc4.d/S18ssh
   $ /etc/rc5.d/S18ssh
   ```
2. `Enable Syslog` should be disabled by default.
   ```
   $ sudo find /etc/rc* -name *rsyslog*
   ```


## Case 2. Disable _SSH_ service

### Steps
1. Navigate to `Settings`.`System`
2. Click radio button on `Enable SSH`

### Expect
1. `Enable SSH` should be disabled.
   ```
   $ sudo find /etc/rc* -name *ssh*
   ```

### Post-Conditions
- Enable `Enable SSH`


## Case 3. Enable _Syslog_ service

### Steps
1. Navigate to `Settings`.`System`
2. Click radio button on `Enable Syslog`

### Expect
1. `Enable Syslog` should be enabled.
   ```
   $ sudo find /etc/rc* -name *rsyslog*
   $ /etc/rc0.d/K04rsyslog
   $ /etc/rc1.d/K04rsyslog
   $ /etc/rc2.d/S15rsyslog
   $ /etc/rc3.d/S15rsyslog
   $ /etc/rc4.d/S15rsyslog
   $ /etc/rc5.d/S15rsyslog
   $ /etc/rc6.d/K04rsyslog
   ```

### Post-Conditions
- Disable `Enable Syslog`

