# System Status

## Case 1. Get system status

### Pre-Conditions
1. Login to UC-8132-LX via `ssh` and record outputs of following commands:
   ```
   $ hostname
   $ dpkg --set-selections | grep uc8100-mxcloud-cg
   $ uptime
   $ df -h
   ```

### Steps
1. Navigate to `Dashboard`

### Expect
1. _Host Name_, _Version_, and _Disk Usage_ same as records at beginning
2. _Uptime_ close to the records values


## Case 2. Set hostname

### Steps
1. Navigate to `Dashboard` and `Edit` _Host Name_
2. Input `test` to `Save`

### Expect
1. _Host Name_ changed to `test`
   ```
   $ hostname
   ```

### Post-Conditions
- Set _Host Name_ back to `Moxa`


## Case 3. Export syslog

### Steps
1. Navigate to `Settings`.`System`
2. Click `Export Syslog`

### Expect
1. Whole logs under `/var/log` compresses as `syslog.tar.gz`
