#!/bin/bash

# Pull MXcloud-baseline
BRANCH_NAME=${1:-develop}

if [ -d "MXcloud-baseline" ]; then
	cd MXcloud-baseline
	git pull -v
	cd ..
else
	git clone git@gitlab.syssw.moxa.com:mxcloud/MXcloud-baseline.git
fi

cd MXcloud-baseline
git checkout ${BRANCH_NAME}
rm -rf ThingsPro
./build.sh
cd ..

# Pull latest swagger-ui
if [ -d "swagger-ui" ]; then
	cd swagger-ui
	git pull -v
	cd ..
else
	git clone https://github.com/Sanji-IO/swagger-ui.git
fi

# Install Node Deps
npm install --no-progress

# Generate JSON file
node index.js
