## System Overview

![Overview][overview]

### mxmodbusclient

- Helper for testing *Device Template* configurations.

### mxmodbusgateway

- MODBUS gateway.
    - MODBUS-TCP server.
    - MOBUDS-RTU master.

### mxmodbusio

- Provide raw MODBUS-TCP read/write operations.

### mxmodbusmaster

- Periodically:
    - Read Tags from MODBUS Slaves through MODBUS-TCP.
    - Publish Tags to **Data Acquisition Framework**.
- Provide *Device Template* configuration.
    - Provide scaling formula.

[overview]: images/architecture/overview.png "Overview"
