## In/Out Interfaces

### Man Page
```
NAME
    mxmodbusgateway

SYNOPSIS
    mxmodbusgateway [-f|--foreground]

DESCRIPTION
    -f, --foreground
        Do not daemonize.
        mxmodbusgateway uses current directory as working directory.

DAEMON
    When mxmodbusgateway is run as daemon, it creates and locks pid-file at
    "/var/run/mxmodbusgateway.pid".

CONFIGURATION
    Path:
        etc/mxmodbusgateway/configuration

SIGNAL
    SIGTERM
        Sending SIGTERM to mxmodbusgateway causes mxmodbusgateway to terminate
        gracefully, if possible.

EXIT STATUS
    0
        Success.
    1
        Unknown error.
    2
        Illegal argument.
```
