from libmxidaf_py import Service, Tag, Time, Value

tag_importer = Service.instance().get_tag_importer()

at = Time.now()

tag_importer.import_tags(
    "electrical-probe",
    "voltage",
    [Tag(
        Value(5.010),
        at,
        "v")]
)

tag_importer.import_tags(
    "electrical-probe",
    "current",
    [Tag(
        Value(0.344),
        at,
        "a")]
)
