from libmxidaf_py import Service, Tag, Time, Value

iteration = 0
while True:
    print "iteration: {}".format(iteration)

    # query tags
    cache = Service.instance().get_cache()

    tag_list = cache.get_equipment(
        "electrical-probe").get_stream(
        "voltage").get_last_tag_list(
        3)

    tag_list = cache.get_equipment(
        "electrical-probe").get_stream(
        "current").get_last_tag_list(
        3)

    # import tags
    tag_importer = Service.instance().get_tag_importer()
    at = Time.now()

    tag_importer.import_tags(
        "electrical-probe",
        "voltage",
        [Tag(
            Value(5.010),
            at,
            "v")]
    )

    tag_importer.import_tags(
        "electrical-probe",
        "current",
        [Tag(
            Value(0.344),
            at,
            "a")]
    )

    iteration = iteration + 1
