#include <mxidafpp/Cache.hpp>

#include <mxidafpp/impl/CacheImpl.hpp>

using boost::shared_ptr;

using mxidafpp::impl::CacheImpl;

using std::string;
using std::vector;

namespace mxidafpp
{

Cache::Cache(shared_ptr<CacheImpl> impl)
    : impl_(impl)
{
}

Cache::~Cache()
{
}

const vector<Equipment>
    Cache::get_equipment_list() const
{
    return impl_->get_equipment_list();
}

const Equipment
    Cache::get_equipment(
        const string &name) const
{
    return impl_->get_equipment(name);
}

}
