#include <boost/test/unit_test.hpp>

#include <mxidafpp/Tag.hpp>

namespace
{

struct TestFixture
{
};

}

namespace mxidafpp
{

BOOST_FIXTURE_TEST_CASE(test_Tag_ctor_WithIllegalUnit_ShouldRaiseError, TestFixture)
{
    // arrange

    // act & assert
    BOOST_CHECK_THROW(
        Tag(
            Value("some-value"),
            Time(2016, 3, 22, 9, 10, 10, 123),
            "illegal.unit"),
        ArgumentError);
}

}
