#ifndef _MXMODBUS_EXCEPTION_HPP_
#define _MXMODBUS_EXCEPTION_HPP_

#include <boost/cstdint.hpp>

namespace mxmodbus
{

typedef
    uint8_t
    exception_t;

struct exception_code
{
static const exception_t    ILLEGAL_FUNCTION;
static const exception_t    ILLEGAL_DATA_ADDRESS;
static const exception_t    ILLEGAL_DATA_VALUE;
static const exception_t    SLAVE_DEVICE_FAILURE;
static const exception_t    ACKNOWLEDGE;
static const exception_t    SLAVE_DEVICE_BUSY;
static const exception_t    MEMORY_PARITY_ERROR;
static const exception_t    GATEWAY_PATH_UNAVAILABLE;
static const exception_t    GATEWAY_TARGET_DEVICE_FAILED_TO_RESPOND;
};

}

#endif
