#ifndef _MXMODBUS_PRIV_UTILITY_HPP_
#define _MXMODBUS_PRIV_UTILITY_HPP_

#include <vector>

#include <boost/cstdint.hpp>

#include <mxmodbus/error.hpp>

namespace mxmodbus
{
namespace priv
{

const std::vector<bool>
    bool_vector_from_uint8_vector(const std::vector<uint8_t> &buf);

const std::vector<uint8_t>
    uint8_vector_from_bool_vector(const std::vector<bool> &buf);

void
    append_exception_info(mxmodbus::ProtocolError &e);

}
}

#endif
