#include <mxmodbus/exception.hpp>

namespace mxmodbus
{

const exception_t exception_code::ILLEGAL_FUNCTION                          = 0x01;
const exception_t exception_code::ILLEGAL_DATA_ADDRESS                      = 0x02;
const exception_t exception_code::ILLEGAL_DATA_VALUE                        = 0x03;
const exception_t exception_code::SLAVE_DEVICE_FAILURE                      = 0x04;
const exception_t exception_code::ACKNOWLEDGE                               = 0x05;
const exception_t exception_code::SLAVE_DEVICE_BUSY                         = 0x06;
const exception_t exception_code::MEMORY_PARITY_ERROR                       = 0x08;
const exception_t exception_code::GATEWAY_PATH_UNAVAILABLE                  = 0x0A;
const exception_t exception_code::GATEWAY_TARGET_DEVICE_FAILED_TO_RESPOND   = 0x0B;

};
