#include <mxtag/log/internal_log.hpp>

#include <mxtag/priv/vlq.hpp>

using mxtag::priv::vlq_encode;

using std::vector;

namespace mxtag
{
namespace log
{

const vector<uint8_t>
    envelope_encode(const vector<uint8_t> &v)
{
    vector<uint8_t> buf = vlq_encode(v.size());
    buf.insert(buf.end(), v.begin(), v.end());

    return buf;
}

}
}
