#ifndef _STAG_OPTION_HPP_
#define _STAG_OPTION_HPP_

#include <string>

#include <boost/logic/tribool.hpp>

namespace stag
{

struct Option
{
    Option();

    boost::logic::tribool
        parse(
            int argc,
            const char *argv[]);

    std::string mqtt_broker_host;
    int         mqtt_broker_port;
    bool        verbose;
};

}

#endif
