#include <boost/test/unit_test.hpp>

#include <mxlogarchiver/Configuration.hpp>

using std::string;

namespace
{

class TestFixture
{
};

}

namespace mxlogarchiver
{

BOOST_FIXTURE_TEST_CASE(test_Configuration_parse_ShouldPass, TestFixture)
{
    // arrange
    const string SUT =
        "working-directory = \"/data/var/mxlogarchiver\"\n";

    // act
    const Configuration result = Configuration::parse(SUT);

    // assert
    BOOST_CHECK_EQUAL("/data/var/mxlogarchiver", result.working_directory);
}

}
