#ifndef _MXCONVERTER_APP_HPP_
#define _MXCONVERTER_APP_HPP_

#include <iostream>
#include <string>

#include <boost/noncopyable.hpp>
#include <boost/scoped_ptr.hpp>
#include <boost/shared_ptr.hpp>

#include <mxlogconverter/Extractor.hpp>

namespace mxlogconverter
{

class App
    : private boost::noncopyable
{
public:
    App(
        std::istream &,
        boost::shared_ptr<mxlogconverter::Extractor::Handler>);
    ~App();

    void
        run();

private:
    struct Impl;
    boost::scoped_ptr<Impl> pimpl;
};

}

#endif
