#ifndef _MXLOGCONVERTER_OPTION_HPP_
#define _MXLOGCONVERTER_OPTION_HPP_

#include <string>

#include <boost/logic/tribool.hpp>

namespace mxlogconverter
{

struct Option
{
    bool            dump;
    std::string     format;
    int             window_size;

    Option();

    boost::logic::tribool
        parse_args(
            int argc,
            const char *argv[]);
};

}

#endif
