#ifndef _MXLOGCONVERTER_RAW_PRINTER_HPP_
#define _MXLOGCONVERTER_RAW_PRINTER_HPP_

#include <iosfwd>

#include <mxlogconverter/Extractor.hpp>

namespace mxlogconverter
{

class RawPrinter
    : public mxlogconverter::Extractor::Handler
{
public:
    explicit RawPrinter(std::ostream &);
    virtual ~RawPrinter();

    virtual void
        on_equ_tag_list(const std::map<std::string, std::set<std::string> > &);

    virtual void
        on_tag(const mxtag::Tag &);

private:
    struct Impl;
    boost::scoped_ptr<Impl> pimpl;
};

}

#endif
