#ifndef _MXLOGUPLOADER_APP_TEST_HPP_
#define _MXLOGUPLOADER_APP_TEST_HPP_

#include <boost/noncopyable.hpp>
#include <boost/shared_ptr.hpp>

#include <mxloguploader/Uploader.hpp>

namespace mxloguploader
{

class AppTest
    : private boost::noncopyable
{
public:
    explicit AppTest(boost::shared_ptr<mxloguploader::Uploader>);
    ~AppTest();

    void
        run();

private:
    struct Impl;
    boost::scoped_ptr<Impl> pimpl;
};

}

#endif
