#ifndef _MXLOGUPLOADER_CONFIGURATION_HPP_
#define _MXLOGUPLOADER_CONFIGURATION_HPP_

#include <string>

#include <mxloguploader/error.hpp>

namespace mxloguploader
{

struct Configuration
{
    static const Configuration
        parse(const std::string &content);  // throws mxlogarchiver::ParseError

    std::string     working_directory;

    explicit Configuration(
        const std::string &working_directory_)
        : working_directory(working_directory_)
    {
    }
};

}

#endif
