#ifndef _MXMODBUSGATEWAY_ERROR_HPP_
#define _MXMODBUSGATEWAY_ERROR_HPP_

#include <exception>

#include <boost/exception/all.hpp>

namespace mxmodbusgateway
{

struct ArgumentError
    : virtual boost::exception
    , virtual std::exception
{
    virtual const char *
        what() const throw()
    {
        static const char WHAT[] = "mxmodbusgateway::ArgumentError";
        return WHAT;
    }
};

struct ParseError
    : virtual boost::exception
    , virtual std::exception
{
    virtual const char *
        what() const throw()
    {
        static const char WHAT[] = "mxmodbusgateway::ParseError";
        return WHAT;
    }
};

}

#endif
