#ifndef _MXMODBUSGATEWAY_WORKER_COMMAND_HPP_
#define _MXMODBUSGATEWAY_WORKER_COMMAND_HPP_

#include <boost/noncopyable.hpp>

#include <mxmodbus/ModbusClient.hpp>

namespace mxmodbusgateway
{
namespace worker
{

class Command // interface
    : private boost::noncopyable
{
protected:
    Command();

public:
    virtual ~Command();

    void
        execute(mxmodbus::ModbusClient &);  // throws mxmodbus::Error

private:
    virtual void
        do_execute(mxmodbus::ModbusClient &) = 0;
};

}
}

#endif
