#ifndef _MXMODBUSIO_EXIT_STATUS_HPP_
#define _MXMODBUSIO_EXIT_STATUS_HPP_

#include <boost/cstdint.hpp>

namespace mxmodbusio
{

typedef
    int
    exit_status_t;

struct exit_status
{
    static const exit_status_t  SUCCESS;
    static const exit_status_t  UNKNOWN_ERROR;
    static const exit_status_t  ILLEGAL_ARGUMENT;
    static const exit_status_t  ILLEGAL_EQUIPMENT_TEMPLATE;
    static const exit_status_t  IO_ERROR;
    static const exit_status_t  MODBUS_ERROR_BASE;
    static const exit_status_t  MODBUS_ERROR_FIRST;
    static const exit_status_t  MODBUS_ERROR_LAST;
};

}

#endif
