#ifndef _MXMODBUSCLIENT_ERROR_HPP_
#define _MXMODBUSCLIENT_ERROR_HPP_

#include <exception>

#include <boost/exception/all.hpp>

#include <mxmodbusclient/exit_status.hpp>

namespace mxmodbusclient
{

struct SystemExit
    : virtual boost::exception
    , virtual std::exception
{
    virtual const char *
        what() const throw()
    {
        static const char WHAT[] = "mxmodbusclient::SystemExit";
        return WHAT;
    }
};

typedef
    boost::error_info<struct tag_exit_status, exit_status_t>
    EInfoExitStatus;

}

#endif
