#ifndef _MXMODBUSMASTER_MODBUS_TRIVIAL_TAG_CONVERT_HPP_
#define _MXMODBUSMASTER_MODBUS_TRIVIAL_TAG_CONVERT_HPP_

#include <string>
#include <vector>

#include <boost/cstdint.hpp>

namespace mxmodbusmaster
{
namespace modbus
{
namespace trivial
{

uint16_t
    uint16_from_binary(const std::vector<uint8_t> &);
uint32_t
    uint32_from_binary(const std::vector<uint8_t> &);
uint64_t
    uint64_from_binary(const std::vector<uint8_t> &);
int16_t
    int16_from_binary(const std::vector<uint8_t> &);
int32_t
    int32_from_binary(const std::vector<uint8_t> &);
int64_t
    int64_from_binary(const std::vector<uint8_t> &);
float
    float32_from_binary(const std::vector<uint8_t> &);
double
    float64_from_binary(const std::vector<uint8_t> &);
const std::string
    string_from_binary(const std::vector<uint8_t> &);

}
}
}

#endif
