#ifndef _MXTAGCOLLECTOR_OPTION_HPP_
#define _MXTAGCOLLECTOR_OPTION_HPP_

#include <string>

#include <boost/logic/tribool.hpp>

namespace mxtagcollector
{

struct Option
{
    bool        foreground;
    std::string mqtt_broker_host;
    int         mqtt_broker_port;
    std::string dbpath;

    Option();

    boost::logic::tribool
        parse_args(
            int argc,
            const char *argv[]);
};

}

#endif
