#ifndef _MXTAGCOLLECTOR_READING_INSERTER_HPP_
#define _MXTAGCOLLECTOR_READING_INSERTER_HPP_

#include <boost/noncopyable.hpp>
#include <boost/scoped_ptr.hpp>

#include <mxhtag/Database.hpp>

namespace mxtagcollector
{

class ReadingInserter
    : private boost::noncopyable
{
public:
    ReadingInserter();
    ~ReadingInserter();

    void
        insert(const mxtag::Tag &);

    void
        commit(mxhtag::Database &);

private:
    struct Impl;
    boost::scoped_ptr<Impl> pimpl;
};

}

#endif
