#ifndef _PTAG_OPTION_HPP_
#define _PTAG_OPTION_HPP_

#include <string>

#include <boost/logic/tribool.hpp>

namespace ptag
{

struct Option
{
    Option();

    boost::logic::tribool
        parse(
            int argc,
            const char *argv[]);

    int equ_count;
    int tag_count;
    int period_ms;

    std::string mqtt_broker_host;
    int         mqtt_broker_port;
};

}

#endif
