#ifndef _PTAG_PUBLISH_READING_HPP_
#define _PTAG_PUBLISH_READING_HPP_

#include <string>

#include <boost/shared_ptr.hpp>
#include <boost/date_time/posix_time/posix_time.hpp>

#include <mxmqtt/Worker.hpp>

namespace ptag
{

void
    publish_reading(
        mxmqtt::Worker &publisher,
        const std::string &equipment_id,
        const std::string &tag_id,
        const boost::posix_time::ptime &now);

}

#endif
