# Summary

* [Introduction](introduction/index.md)
* [Architectural Background](architectural-background/index.md)
    * [System Overview](architectural-background/system-overview.md)
    * [Significant Driving Requirements](architectural-background/significant-driving-requirements.md)
    * [Architectural Approaches](architectural-background/architectural-approaches.md)
* [Cloud Gateway](cloud-gateway/index.md)
    * [Use Cases](cloud-gateway/use-cases.md)
    * [Initial Sequence](cloud-gateway/initial-sequence.md)
    * [Modbus Client](cloud-gateway/modbus-client.md)
    * [Modbus Gateway](cloud-gateway/modbus-gateway.md)
    * [Modbus IO](cloud-gateway/modbus-io.md)
    * [Modbus Master](cloud-gateway/modbus-master.md)
    * [Network Management](cloud-gateway/network-management.md)
    * [Tag Collector](cloud-gateway/tag-collector.md)
    * [Log Archiver](cloud-gateway/log-archiver.md)
    * [Log Converter](cloud-gateway/log-converter.md)
    * [Log Uploader](cloud-gateway/log-uploader.md)
    * [Tag Forwarder](cloud-gateway/tag-forwarder.md)
    * [Serial Framer](cloud-gateway/serial-framer.md)
    * [Data Processing Framework](cloud-gateway/data-processing-framework.md)
    * [External Requirements](cloud-gateway/external-requirements.md)
    * [Performance](cloud-gateway/performance.md)
* [Cloud Server](cloud-server/index.md)
* [Communication Interface](communication-interface/index.md)
    * [Use Cases](communication-interface/use-cases.md)
    * [Broker](communication-interface/mqtt-broker.md)
* [Datastore](datastore/index.md)
    * [Key Features](datastore/keyfeatures.md)
    * [Design Goals](datastore/design_goals.md)
    * [Interexchange Data Format](datastore/interexchange_dataformat.md)
    * [Performance Report](datastore/performance_report.md)
* [Software Integration Test Spec](software-integration-test-spec/index.md)
