# Key Featuress

## Cloud Server
- Query tags with time duration via SQL-like syntax

**Query**

    Select kw, volt from tags where equipment_id = 'eq-xxxxx' and timestamp > x and timestamp < y

**Response**

    {
        "kw": [
            {
                "value": 1,
                "timestamp": "",
                "createdAt": ""
            },
            ....................
            {
                "value": 1,
                "timestamp": "",
                "createdAt": ""
            }
        ],
        "volt": [ ... ]
    }

- Support RESTful API endpoints

**Request**

    GET /api/v1/eg-xxxx/tags/kw

**Response**

    GET /api/v1/eg-xxxx/tags/kw
    200 OK
    {
        "value": 1,
        "timestamp": "",
        "createdAt": ""
    }

## Cloud Gateway
- Query tags by time duration via Python API
- Store processed historical data
- Download device config from server
