'use strict';

(function () {
  angular.module('webapp')
    .directive('integer', function() {
      return {
        restrict: 'A',
        require: 'ngModel',
        link: function postLink(scope, element, attrs, ngModel) {

          ngModel.$parsers.push(function(val) {
            return parseInt(val, 10);
          });
          ngModel.$formatters.push(function(val) {
            return (angular.isDefined(val)) ? '' + val : '';
          });
        }
      };
    });
}());
