(function() {
  'use strict';

  angular.module('webapp')
    .directive('mxInterchangeCheckbox', mxInterchangeCheckbox);

    function mxInterchangeCheckbox() {
      return {
        restrict: 'A',
        require: 'ngModel',
        link: function(scope, element, attrs, modelCtrl) {

          var booleanToNumberFormatter = function(value) {
            return value ? 1 : 0;
          };

          var numberToBooleanFormatter = function(value) {
            var tmp = parseInt(value, 10);
            if (angular.isNumber(tmp)) {
              return value ? true : false;
            }

            return value;
          };
          modelCtrl.$formatters.push(numberToBooleanFormatter);
          modelCtrl.$parsers.push(booleanToNumberFormatter);
        }
      };
    }
}());
