;(function() {
  'use strict';

  angular.module('webapp')
    .directive('sanjiHideWindow', sanjiHideWindow);

  function sanjiHideWindow($animate) {
    return {
      restrict: 'A',
      link: function(scope, elem, attrs) {
        attrs.$observe('sanjiHideWindow', function(newValue) {
          var result = ('true' === newValue) ? true : false;
          if (result) {
            $animate.addClass(elem, 'ng-hide');
          } else {
            $animate.removeClass(elem, 'ng-hide');
          }
        });
      }
    };
  }

}());
