(function() {
  'use strict';

  angular.module('webapp')
    .config(config);

  function config($stateProvider) {

    $stateProvider.state('login', {
      url: '/login',
      templateUrl: '/app/login/login.html',
      controller: 'Login'
    })
    .state('loginSuccess', {
      abstract: true,
      url: '',
      templateUrl: '/app/login/loginsuccess.html',
      controller: function(mode, $state) {
        if ('none' === mode.enableMode) {
          $state.go('wizard');
        }
      },
      resolve: {
        mode: function(wizardService) {
          return wizardService.read();
        }
      }
    });
  }
})();
