#!/bin/sh

TOOLCHAIN="/usr/local/arm-linux-gnueabihf-4.7-20130415"
HOST="arm-linux-gnueabihf"

# export shell environment variables
export PATH="${PATH}:${TOOLCHAIN}/bin"
export CPP="${HOST}-gcc -E"
export STRIP="${HOST}-strip"
export OBJCOPY="${HOST}-objcopy"
export AR="${HOST}-ar"
export RANLIB="${HOST}-ranlib"
# This is due to linker doesn't take the 'rpath' parameter
#export LD="${HOST}-ld"
export LD="${HOST}-g++"
export OBJDUMP="${HOST}-objdump"
export CC="${HOST}-gcc"
export CXX="${HOST}-g++"
export NM="${HOST}-nm"
export AS="${HOST}-as"
