'use strict';

var log = require('sanji-logger')('webapp');
var _ = require('lodash');
var db = require(__dirname + '/../../models');
var Notification = db.Notification;

exports.getNotifications = function(req, res) {

  Notification.findAll()
    .then(function(results) {
      // Dynamically add hasRead property for front-end usage.
      _.forEach(results, function(notification) {
        notification.dataValues.hasRead = true; // set history notification's hasRead to true.
      });
      return res.json(results);
    });
};
