'use strict';

var path = require('path');

var rootPath = path.normalize(__dirname + '/../../..');

module.exports = {
  isBridgeMode: process.env.MQTT_BRIDGE_MODE || false,
  isMock: ('true' === process.env.ISMOCK) ? true : false,
  root: rootPath,
  ip: process.env.IP || '127.0.0.1',
  port: process.env.PORT || 5000,
  apiBase: '/api/v1',
  dbIp: process.env.MYSQL_PORT_3306_TCP_ADDR || '127.0.0.1',
  dpPort: process.env.MYSQL_PORT_3306_TCP_PORT || 3306
};
