'use strict';

module.exports = [
  {
    "role": 1,    // System Administrator
    "features": {
      "read-loginSuccess.myProfile": true,
      "read-loginSuccess.noProject": true,
      "read-loginSuccess.project": true,
      "read-loginSuccess.server": true,
      "read-loginSuccess.account": true
    },
    "defaultState": "loginSuccess.project"
  },
  {
    "role": 2,    // Project Administrator
    "features": {
      "read-loginSuccess.myProfile": true,
      "read-loginSuccess.navbar-project-switch": true,
      "read-loginSuccess.noProject": true,
      "read-loginSuccess.dashboard": true,
      "read-loginSuccess.management": true,
      "read-loginSuccess.account": true,
      "read-loginSuccess.stationInfo": true,
      "read-loginSuccess.computerInfo": true,
      "read-loginSuccess.equipmentInfo": true,
      "read-loginSuccess.computerCommand": true,
      "read-loginSuccess.computerSettings": true,
      "read-loginSuccess.computerSettings.list": true,
      "read-loginSuccess.computerSettings.detail": true
    },
    "defaultState": "loginSuccess.dashboard"
  },
  {
    "role": 3,    // Installer
    "features": {
      "read-loginSuccess.myProfile": true,
      "read-loginSuccess.navbar-project-switch": true,
      "read-loginSuccess.noProject": true,
      "read-loginSuccess.dashboard": true,
      "read-loginSuccess.management": true,
      "read-loginSuccess.stationInfo": true,
      "read-loginSuccess.computerInfo": true,
      "read-loginSuccess.computerCommand": true,
      "read-loginSuccess.computerSettings": true,
      "read-loginSuccess.computerSettings.list": true,
      "read-loginSuccess.computerSettings.detail": true,
      "read-loginSuccess.equipmentInfo": true
    },
    "defaultState": "loginSuccess.dashboard"
  },
  {
    "role": 4,    // Maintainer
    "features": {
      "read-loginSuccess.myProfile": true,
      "read-loginSuccess.navbar-project-switch": true,
      "read-loginSuccess.noProject": true,
      "read-loginSuccess.dashboard": true
    },
    "defaultState": "loginSuccess.dashboard"
  },
  {
    "role": 5,    // Guest
    "features": {
      "read-loginSuccess.myProfile": true,
      "read-loginSuccess.navbar-project-switch": true,
      "read-loginSuccess.noProject": true,
      "read-loginSuccess.dashboard": true
    },
    "defaultState": "loginSuccess.dashboard"
  }
];
