# Test Cases & Report

## Modbus Framework
Owner: TC

### Component Test
| Case             | Result | Pass Date | Remarks |
|:---------------- |:------:|:---------:| ------- |
| mxmodbusmaster   | PASS | 2015-09-25 |  |
| mxmodbusgateway  | PASS | 2015-09-25 |  ||

### Integration Test
| Case             | Result | Pass Date | Remarks |
|:---------------- |:------:|:---------:| ------- |
| 1. User can add Equipment Templates with tags having different configurations. User can add up to 20 tags to an Equipment Template. | PASS | 2015-09-30  |  |
| 2. User can add up to 5 Modbus Devices. | PASS | 2015-09-30 |  |
| 3. User can delete Equipment Templates. | PASS | 2015-09-25  |  |
| 4. User can copy Equipment Templates. | PASS | 2015-10-02 |  |
| 5. User can't delete Equipment Templates if TCP interfaces depend on it. | PASS | 2015-10-02 |  |
| 6. User can't delete Equipment Templates if Log Profiles depend on it. | PASS | 2015-10-02 |  |
| 7. User can't modify Equipment Templates' tags if Log Profile depend on it. | PASS | 2015-10-02 |  |
| 8. Log Profile function should be disabled, if SD card isn't inserted. (UC-8112-LX-CG only) | PASS | 2015-10-13 |  ||


## Data Logger
Owner: Donald
### Component Test
| Case             | Pass Date  | Remarks |
|:---------------- |:----------:| ------- |
| mxlogarchiver    | 2015-09-17 |         |
| mxlogconverter   | 2015-09-17 |         |
| mxloguploader    | 2015-09-22 |        ||

### Integration Test
| Case             | Pass Date | Remarks |
|:---------------- |:---------:| ------- |
| 1. User can add 5 upload profiles, each collecting 32 tags, to UC-8132-LX-CG. | 2015-10-01 |     ||

## System/Network Settings
Owner: Aeluin

### Integration Test
| Case             | Result | Pass Date | Remarks |
|:---------------- |:------:|:---------:| ------- |
| 1. Upgrade firmware via USB storage | PASS |  |  |
| 2. Get system status | PASS |  |  |
| 3. Set hostname | PASS |  |  |
| 4. Get current date/time and settings | PASS |  |  |
| 5. Set date/time and Time Zone mauanlly | PASS |  |  |
| 6. Set date/time via NTP | PASS |  |  |
| 7. Reboot the system | PASS |  |  |
| 8. Export configuration | PASS |  |  |
| 9. Import configuration | PASS |  |  |
| 10. Update LAN1 with static IP when cellular is down | PASS |  |  |
| 11. Update LAN1 with static IP when cellular is up | PASS |  |  |
| 12. Update LAN1 with DHCP when cellular is down | PASS |  |  |
| 13. Update LAN2 with DHCP | PASS |  |  |
| 14. Insert SIM card | PASS |  |  |
| 15. Enable cellular connection | PASS |  |  |
| 16. Disable cellular connection | PASS |  |  |
| 17. Update serial mode | PASS | |  ||

