# Date/Time

## Case 1. Get current date/time and settings

### Steps
1. Navigate to `Settings`.`Time`

### Expect
1. Current system date/time and timezone settings
2. Synchronization mthod and time server
   ```
   $ date
   $ hwclock
   ```

## Case 2. Set date/time and Time Zone manually

### Steps
1. Navigate to `Settings`.`Time`
2. `Edit` _Date & Time_ with `Manual, `2015/1/1 00:00`

### Expect
1. Successful and page reload with `2015/1/1 00:00`
   ```
   $ date
   $ hwclock
   ```


## Case 3. Set date/time via NTP

### Steps
1. Navigate to `Settings`.`Time`
2. `Edit` _Date & Time_ with `NTP`, and _server_ `192.168.50.33`

### Expect
1. Successful and page reload with current time
    - verify on another client site
      ```
      $ ntpdate 192.168.50.33
      $ date
      ```

