## Test Spec

### Case 1

- Test Modbus RTU device.

#### Steps
1. Prepare a Tester(another UC-8100).
    1. Connect UART Port 1 to Tester's Port 1 by RS-232 cable.
    2. Connect UART Port 2 to Tester's Port 2 by RS-232 cable.
2. Setup test environment in Tester.
```
./mxmodbusgateway-tester-setup.sh
```
3. Setup test environment.
```
./mxmodbusgateway-test-setup.sh
```
4. Start tester program in Tester.
```
./mxmodbusgateway-tester.sh
```
5. Start mxmodbusgateway test script and **CHECK** the result.
```
./mxmodbusgateway-test.sh
```
6. Cleanup tester program in Tester.
```
./mxmodbusgateway-tester-teardown.sh
```
7. Cleanup mxmodbusgateway testcase.
```
./mxmodbusgateway-test-teardown.sh
```

#### Expect
1. Service mxmodbusgateway SHOULD run in the background.
2. At stdout SHOULD see the testing result of 2 serial port:
    - Read Coils ... OK
    - Read Discrete Inputs ... OK
    - Read Input Registers ... OK
    - Read Holding Registers ... OK
