## In/Out Interfaces

### Man Page
```
NAME
    mxmodbusmaster

SYNOPSIS
    mxmodbusmaster [-f|--foreground] [other options]

DESCRIPTION
    -f, --foreground
        Do not daemonize.
        mxmodbusmaster uses current directory as working directory.

    --mqtt-broker-host HOST
    --mqtt-broker-port PORT
        Use HOST and PORT to connect to MQTT broker to publish readings.

        Default HOST and PORT are "127.0.0.1" and 1883.

DAEMON
    When mxmodbusmaster is run as daemon, it creates and locks pid-file at
    "/var/run/mxmodbusmaster.pid".

CONFIGURATION
    Path:
        etc/mxmodbusmaster/configuration

EQUIPMENT TEMPLATE
    Path:
        etc/mxmodbusmaster/template.d/*.met

SIGNAL
    SIGTERM
        Sending SIGTERM to mxmodbusmaster causes mxmodbusmaster to terminate
        gracefully, if possible.

    SIGUSR1
        Sending SIGUSR1 to mxmodbusmaster causes mxmodbusmaster to export
        equipment-status.

EXIT STATUS
    0
        Success.
    1
        Unknown error.
    2
        Illegal argument.
```
