# Introduction

## Glossary

_<font color="gray">
&lt;Define all the terms necessary to properly interpret the SRS, including acronyms and abbreviations. You may wish to build a separate glossary that spans multiple projects or the entire organization, and just include terms specific to a single project in each SRS.&gt;
</font>_


## Purpose
_<font color="gray">
&lt;Identify the product whose software requirements are specified in this document, including the revision or release number. Describe the scope of the product that is covered by this SRS, particularly if this SRS describes only part of the system or a single subsystem.&gt;
</font>_

This document describes SRS/SAS/SDS/TestPlan for `OpenVPN client` feature.


## References

_<font color="gray">
&lt;List any other documents or Web addresses to which this SRS refers. These may include user interface style guides, contracts, standards, system requirements specifications, use case documents, or a vision and scope document. Provide enough information so that the reader could access a copy of each reference, including title, author, version number, date, and source or location.&gt;
</font>_

- [OpenVPN](https://openvpn.net/)
- [OpenVPN Document](https://openvpn.net/index.php/open-source/documentation.html)


