# Introduction

This repository contains executables for Data Acquisition Framework.

# Usage

## Generate configure

```
$ autoreconf --install
```

## Build

```
$ ./configure
$ make
```

## Perform unit-test

```
$ make check
```

## Archive source distribution

```
$ make dist
```

## Generate libmxidaf documentation

```
$ make -C libmxidaf-doc
```

## Generate libmxidaf_py documentation

```
$ make html -C libmxidaf_py-doc
```
