#ifndef _MXSQLITE3_TRANSACTION_HPP_
#define _MXSQLITE3_TRANSACTION_HPP_

#include <boost/noncopyable.hpp>
#include <boost/scoped_ptr.hpp>

#include <mxsqlite3/Connection.hpp>

namespace mxsqlite3
{

class Transaction
    : private boost::noncopyable
{
public:
    explicit Transaction(
        mxsqlite3::Connection &);
    ~Transaction();

    void
        commit();

private:
    struct Impl;
    boost::scoped_ptr<Impl> pimpl;
};

}

#endif
