#include <mxsqlite3/Connection.hpp>

namespace mxsqlite3
{

using boost::shared_ptr;

using std::string;

Connection::Connection()
{
}

Connection::~Connection()
{
}

shared_ptr<Statement>
    Connection::create_statement(const string &sql)
{
    return this->do_create_statement(sql);
}

Connection &
    operator <<(
        Connection &connection,
        const string &sql)
{
    const shared_ptr<Statement> stmt = connection.create_statement(sql);

    while(stmt->execute())
        ;

    return connection;
}

}
