#include <mxsqlite3/Statement.hpp>

namespace mxsqlite3
{

using boost::optional;

using std::string;
using std::vector;

Statement::Statement()
{
}

Statement::~Statement()
{
}

void
    Statement::reset()
{
    return this->do_reset();
}

void
    Statement::bind(size_t i)
{
    return this->do_bind(i);
}

void
    Statement::bind(
        size_t i,
        int64_t v)
{
    return this->do_bind(i, v);
}

void
    Statement::bind(
        size_t i,
        double v)
{
    return this->do_bind(i, v);
}

void
    Statement::bind(
        size_t i,
        const string &v)
{
    return this->do_bind(i, v);
}

optional<vector<Value> >
    Statement::execute()
{
    return this->do_execute();
}

}
