#include <mxidafpp/TagImporter.hpp>

#include <mxidafpp/impl/TagImporterImpl.hpp>

using boost::shared_ptr;

using mxidafpp::impl::TagImporterImpl;

using std::string;
using std::vector;

namespace mxidafpp
{

TagImporter::TagImporter(
    shared_ptr<TagImporterImpl> impl)
    : impl_(impl)
{
}

TagImporter::~TagImporter()
{
}

void
    TagImporter::import(
        const string &equipment_name,
        const string &tag_name,
        const vector<Tag> &tag_list)
{
    impl_->import(
        equipment_name,
        tag_name,
        tag_list);
}

}
