#include <mxidafpp/impl/Tag.hpp>

#include <mxidafpp/impl/Value.hpp>

using std::string;

namespace mxidafpp
{
namespace impl
{

const mxidafpp::Tag
    mxidafpp_from_mxtag(const mxtag::Tag &t)
{
    return mxidafpp::Tag(
        mxidafpp_from_mxtag(t.value()),
        Time(t.at()),
        t.unit());
}

const mxtag::Tag
    mxtag_from_mxidafpp(
        const mxidafpp::Tag &t,
        const string &equipment_name,
        const string &tag_name)
{
    return mxtag::Tag(
        equipment_name,
        tag_name,
        t.at().to_ptime(),
        mxtag_from_mxidafpp(t.value()),
        t.unit());
}

}
}
