#include <mxmqtt/init.hpp>

#include <boost/noncopyable.hpp>

#include <mosquittopp.h>

namespace mxmqtt
{

class Initializer
    : private boost::noncopyable
{
public:
    Initializer()
    {
        mosqpp::lib_init();
    }

    ~Initializer()
    {
        mosqpp::lib_cleanup();
    }
};

void
    initialize_external_library()
{
    static const Initializer init;
}

}
