#ifndef _MXSL_ERROR_HPP_
#define _MXSL_ERROR_HPP_

#include <exception>

#include <boost/exception/all.hpp>

namespace mxsl
{

struct Error
    : virtual boost::exception
    , virtual std::exception
{
    virtual const char *
        what() const throw()
    {
        static const char WHAT[] = "mxsl::Error";
        return WHAT;
    }
};

}

#endif
