#include <iostream>

#include <boost/lexical_cast.hpp>

#include <mxsl/mxsl.hpp>

using boost::lexical_cast;

using std::cerr;
using std::endl;

int
    main(
        int argc,
        const char *argv[])
{
    if (argc != 2)
    {
        cerr << "usage: <validate-count>" << endl;
        return 2;
    }

    const int count = lexical_cast<int>(argv[1]);
    for(int ax = 0; ax < count; ++ax)
        mxsl::validate();

    return 0;
}
