#ifndef _MXTAG_MQTT_TAG_PARSE_HPP_
#define _MXTAG_MQTT_TAG_PARSE_HPP_

#include <string>

#include <boost/date_time/posix_time/posix_time.hpp>

namespace mxtag
{
namespace mqtt
{

bool
    parse_topic(
        const std::string &topic,
        std::string &equipment_id,
        std::string &tag_id);

bool
    parse_payload(
        const std::string &payload,
        boost::posix_time::ptime &,
        std::string &value,
        std::string &unit);

}
}

#endif
