#ifndef _MXTAG_PRIV_VLQ_HPP_
#define _MXTAG_PRIV_VLQ_HPP_

#include <vector>

#include <boost/cstdint.hpp>

#include <mxtag/error.hpp>

namespace mxtag
{
namespace priv
{

const std::vector<uint8_t>
    vlq_encode(uint64_t);

uint64_t
    vlq_decode(const std::vector<uint8_t> &);   // throws mxtag::ArgumentError

}
}

#endif
