#include <boost/test/unit_test.hpp>

#include <mxtag/tag_form.hpp>

using boost::posix_time::ptime;
using boost::posix_time::time_from_string;

using std::string;

namespace
{

class TestFixture
{
};

}

namespace mxtag
{

BOOST_FIXTURE_TEST_CASE(test_form_iso8601_time_ShouldPass, TestFixture)
{
    // arrange
    const ptime TUT = time_from_string("2015-08-21 15:40:03.559");

    // act
    const string result = form_iso8601_time(TUT);

    // assert
    BOOST_CHECK_EQUAL("2015-08-21T15:40:03.559Z", result);
}

}
