#ifndef _MXUTIL_LOG_HPP_
#define _MXUTIL_LOG_HPP_

#include <mxutil/log/Log.hpp>

#define MXLOG_DBUG(msg) \
    do{ \
        mxutil::log::Log::get().log(mxutil::log::Logger::DBUG, __FILE__, __LINE__, msg); \
    }while(false)

#define MXLOG_INFO(msg) \
    do{ \
        mxutil::log::Log::get().log(mxutil::log::Logger::INFO, __FILE__, __LINE__, msg); \
    }while(false)

#define MXLOG_WARN(msg) \
    do{ \
        mxutil::log::Log::get().log(mxutil::log::Logger::WARN, __FILE__, __LINE__, msg); \
    }while(false)

#define MXLOG_EROR(msg) \
    do{ \
        mxutil::log::Log::get().log(mxutil::log::Logger::EROR, __FILE__, __LINE__, msg); \
    }while(false)

#endif
