#include <iostream>

#include <mxutil/Signal.hpp>

using mxutil::Signal;

using std::cerr;
using std::endl;

volatile bool go = true;

void
    on_term(int)
{
    cerr << "on_term" << endl;

    go = false;
}

int
    main(int, const char *[])
{
    Signal::instance().sigterm(&on_term);

    while(go)
        sleep(1);

    return 0;
}
