#ifndef _MXLOGCONVERTER_ERROR_HPP_
#define _MXLOGCONVERTER_ERROR_HPP_

#include <exception>

#include <boost/exception/all.hpp>

namespace mxlogconverter
{

struct Error
    : virtual boost::exception
    , virtual std::exception
{
    virtual const char *
        what() const throw()
    {
        static const char WHAT[] = "mxlogconverter::Error";
        return WHAT;
    }
};

struct ArgumentError
    : virtual Error
{
    virtual const char *
        what() const throw()
    {
        static const char WHAT[] = "mxlogconverter::ArgumentError";
        return WHAT;
    }
};

}

#endif
