#ifndef _MXLOGUPLOADER_APP_CLEAR_HPP_
#define _MXLOGUPLOADER_APP_CLEAR_HPP_

#include <boost/filesystem.hpp>
#include <boost/noncopyable.hpp>
#include <boost/scoped_ptr.hpp>
#include <boost/shared_ptr.hpp>

#include <mxloguploader/StatusPublisher.hpp>

namespace mxloguploader
{

class AppClear
    : private boost::noncopyable
{
public:
    AppClear(
        const boost::filesystem::path &working_directory,
        boost::shared_ptr<mxloguploader::StatusPublisher>);
    ~AppClear();

    void
        run();

private:
    struct Impl;
    boost::scoped_ptr<Impl> pimpl;
};

}

#endif
