#ifndef _MXMODBUSIO_COMMAND_LIST_HPP_
#define _MXMODBUSIO_COMMAND_LIST_HPP_

#include <boost/scoped_ptr.hpp>

#include <mxmodbusio/CommandSource.hpp>

namespace mxmodbusio
{

class CommandList
    : public mxmodbusio::CommandSource
{
public:
    explicit CommandList(
        const std::vector<boost::shared_ptr<mxmodbusio::Command> > &cmd_list);
    virtual ~CommandList();

private:
    virtual boost::shared_ptr<mxmodbusio::Command>
        do_next();

private:
    struct Impl;
    boost::scoped_ptr<Impl> pimpl;
};

}

#endif
