#ifndef _MXMODBUSIO_COMMAND_PROMPT_HPP_
#define _MXMODBUSIO_COMMAND_PROMPT_HPP_

#include <boost/scoped_ptr.hpp>

#include <mxmodbusio/CommandSource.hpp>

namespace mxmodbusio
{

class CommandPrompt
    : public mxmodbusio::CommandSource
{
public:
    explicit CommandPrompt(
        boost::shared_ptr<std::istream>);
    virtual ~CommandPrompt();

private:
    virtual boost::shared_ptr<mxmodbusio::Command>
        do_next();

private:
    struct Impl;
    boost::scoped_ptr<Impl> pimpl;
};

}

#endif
