#include <mxmodbusio/exit_status.hpp>

namespace mxmodbusio
{

const exit_status_t exit_status::SUCCESS                        = 0x00;
const exit_status_t exit_status::UNKNOWN_ERROR                  = 0x01;
const exit_status_t exit_status::ILLEGAL_ARGUMENT               = 0x02;
const exit_status_t exit_status::IO_ERROR                       = 0x03;
const exit_status_t exit_status::MODBUS_ERROR_BASE              = 0x08;
const exit_status_t exit_status::MODBUS_ERROR_FIRST             = 0x09;
const exit_status_t exit_status::MODBUS_ERROR_LAST              = 0x13;

}
