#ifndef _MXMODBUSMASTER_OPTION_HPP_
#define _MXMODBUSMASTER_OPTION_HPP_

#include <string>

#include <boost/logic/tribool.hpp>

namespace mxmodbusmaster
{

struct Option
{
    bool        foreground;
    std::string mqtt_broker_host;
    int         mqtt_broker_port;

    Option();

    boost::logic::tribool
        parse_args(
            int argc,
            const char *argv[]);
};

};

#endif
