#ifndef _MXTAGHISTORY_OPTION_HPP_
#define _MXTAGHISTORY_OPTION_HPP_

#include <string>
#include <vector>

#include <boost/logic/tribool.hpp>
#include <boost/shared_ptr.hpp>

namespace mxtaghistory
{

struct Option
{
    Option();

    std::string                     mxhtag_file;
    boost::shared_ptr<int>          last;
    boost::shared_ptr<std::string>  equipment;
    std::vector<std::string>        tag_list;

    boost::logic::tribool
        parse_args(
            int argc,
            const char *argv[]);
};

}

#endif
