from setuptools import setup

setup(
    name="mxserialdnp3framer",
    version="0.0.3",
    description="MOXA Serial DNP3 Framer",
    url="http://gitlab.syssw.moxa.com/mxcloud/mxserialdnp3framer",
    author="Zack YL Shih",
    author_email="zackyl.shih@moxa.com",
    license="MIT",
    packages=["dnp3"],
    install_requires=["pyserial", "PyCRC"],
    scripts=['bin/mxserialdnp3framer'],
    classifiers=[
        'Development Status :: 5 - Production/Stable',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Programming Language :: Python',
        'Programming Language :: Python :: 2',
        'Programming Language :: Python :: 2.6',
        'Programming Language :: Python :: 2.7',
        'Topic :: Software Development :: Libraries :: Python Modules',
    ]
)
