#!/bin/sh

# build the book
gitbook build

# change icon
cp -a assets/images/favicon.ico _book/gitbook/images/favicon.ico

# fix: scrollbar cannot click
sed -i -e "s/.book .book-body .navigation.navigation-next{right:0}/.book .book-body .navigation.navigation-next{right:18px}/" _book/gitbook/style.css

# pack
mv _book/ thingspro_restful_api_tutorial/
tar zcf thingspro_restful_api_tutorial.tar.gz thingspro_restful_api_tutorial/
