import logging
from sanji.model import Model

_logger = logging.getLogger("sanji.iptables.table")


class IPTableError(Exception):
    pass


class IPTable(Model):

    def __init__(self, *args, **kwargs):
        super(IPTable, self).__init__(*args, **kwargs)
        self.name = kwargs["name"]

    def flush(self):
        self.removeAll()
