#!/bin/bash

data="{\"name\": \"$dev\", \"ip\": \"$ifconfig_local\", \"netmask\": \"$route_netmask_1\", \"gateway\": \"$route_gateway_1\"}"
msg="{\"code\": 200, \"resource\": \"/network/interface/$dev\", \"method\": \"put\", \"data\": $data}"

# Link up VPN interface
ip link set $dev up

# Publish event to update /network/interface information
mosquitto_pub -t "/controller" -m "$msg"
