# External Requirements

## MqttBroker

### Purpose

* Data Processing System backbone.
* System status broadcasting backbone.

### Requirement

* Pre-configured client subscription.  
  Client subscription should be able to be preconfigured in configuration 
  files, so that messages published while TagCollector not running can be
  buffered and publish to TagCollector later.
* Session Management.
    * List connected sessions.
    * Drop connected sessions manually.
* Topic Management.
    * Manage retained topics.
