(function () {
  'use strict';

  angular.module('webapp')
    .directive('float', function() {
      return {
        restrict: 'A',
        require: 'ngModel',
        link: function postLink(scope, element, attrs, ngModel) {

          ngModel.$parsers.push(function(val) {
            return parseFloat(val);
          });
          ngModel.$formatters.push(function(val) {
            return (angular.isDefined(val)) ? '' + val : '';
          });
        }
      };
    });
}());
