(function() {
  'use strict';

  angular.module('webapp')
    .directive('mxInterchangeMbByte', mxInterchangeMbByte);

    function mxInterchangeMbByte() {
      return {
        restrict: 'A',
        require: 'ngModel',
        link: function(scope, element, attrs, modelCtrl) {

          var byteToMbFormatter = function(value) {
            var tmp = parseInt(value, 10);
            if (angular.isNumber(tmp)) {
              return Math.round(tmp / 1048576);
            }

            return value;
          };

          var mbToByteFormatter = function(value) {
            var tmp = parseInt(value, 10);
            if (angular.isNumber(tmp)) {
              return tmp * 1048576;
            }

            return value;
          };
          modelCtrl.$formatters.push(byteToMbFormatter);
          modelCtrl.$parsers.push(mbToByteFormatter);
        }
      };
    }
}());
