(function() {
  'use strict';

  angular.module('webapp')
    .directive('mxInterchangeSecMs', mxInterchangeSecMs);

    function mxInterchangeSecMs() {
      return {
        restrict: 'A',
        require: 'ngModel',
        link: function(scope, element, attrs, modelCtrl) {

          var msToSecFormatter = function(value) {
            var tmp = parseFloat(value);
            if (angular.isNumber(tmp)) {
              return tmp / 1000;
            }

            return value;
          };

          var secToMsFormatter = function(value) {
            var tmp = parseFloat(value);
            if (angular.isNumber(tmp)) {
              return tmp * 1000;
            }

            return value;
          };
          modelCtrl.$formatters.push(msToSecFormatter);
          modelCtrl.$parsers.push(secToMsFormatter);
        }
      };
    }
}());
