(function() {
  'use strict';

  angular.module('webapp')
    .controller('Landing', Landing);

  function Landing(moment, $state) {
    var vm = this;
    var currentYear = moment().year();

    vm.year = (2015 < currentYear) ? '- ' + currentYear : '';
    vm.goTo = goTo;

    function goTo() {
      $state.go('login');
    }
  }

})();
