'use strict';

(function() {
  angular.module('webapp')
    .service('userService', userService);

  userService.prototype.getProfile = _getProfile;
  userService.prototype.getUserLogs = _getUserLogs;

  function userService($resource, API_BASE) {

    this.API_BASE = API_BASE;
    this.$resource = $resource;
    // self.getProfile = function() {
      // return Restangular.one('profile').get();
    // };

    // self.getUserLogs = function() {
      // return Restangular.all('userLogs').getList();
    // };

  }

  function _getProfile() {
    var User = this.$resource(this.API_BASE.other + '/profile');
    return User.get().$promise;
  }

  function _getUserLogs() {
    var UserLogs = this.$resource(this.API_BASE.other + '/userLogs');
    return UserLogs.query().$promise;
  }
})();
