'use strict';

module.exports = {
  env: 'staging',
  ip: process.env.IP || '0.0.0.0', // 0.0.0.0 for docker usage
  bundlesHome: process.env.BUNDLES_HOME || '/root/bundles',
  sanjiBrokerIp: process.env.BROKER_PORT_1883_TCP_ADDR || '127.0.0.1',
  sanjiBrokerPort: process.env.BROKER_PORT_1883_TCP_PORT || 1883,
  isBridgeMode: ('true' === process.env.MQTT_BRIDGE_MODE) ? true : false,
  dbIp: process.env.MYSQL_PORT_3306_TCP_ADDR || '127.0.0.1'
};
